$("table").find("td").on({
    'mouseover': function(e) {
        var headerFlg = $(this).closest('tr').hasClass("headerTr");
        if(!headerFlg){
            $(this).closest('tr').addClass('highlight');
        }
    },
    'mouseout': function(e) {
        var headerFlg = $(this).closest('tr').hasClass("headerTr");
        if(!headerFlg){
            $(this).closest('tr').removeClass('highlight');
        }
    },
    'click': function(e) {
        var headerFlg = $(this).closest('tr').hasClass("headerTr");
        var operationFlg = $(this).hasClass("operation");
        if(!headerFlg && !operationFlg){
            var refid = $(this).closest('tr').find('input[type=checkbox]').val();
            view(refid);
        }
    },
});
$("table").find("#chkAll").on({
    'change':function (e) {
        var chkMain = $(this).prop('checked');
        $("input[name='chkId[]']").each(function () {
            $(this).prop('checked', chkMain);
        })
    }
});